Skip to main content
GET
/
statements
/
payments
List Payments
curl --request GET \
  --url https://api.paxos.com/v2/statements/payments \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paxos.com/v2/statements/payments"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paxos.com/v2/statements/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "payments": [
    {
      "id": "08ae7260-0967-44e4-b2e3-e9c837a3de69",
      "customer_id": "cdcbff8e-cf51-4536-ba6f-92ef6846e48a",
      "profile_id": "00000000-0000-0000-0000-000000000000",
      "account_id": "00000000-0000-0000-0000-000000000000",
      "ref_id": "cdcbff8e-cf51-4536-ba6f-92ef6846e48a-USDG_REWARDS-cdcbff8e-cf51-4536-ba6f-92ef6846e48a-2025-02-USDG-100.5-seq#1",
      "product": "USDG_REWARDS",
      "payment_type": "PAYMENT_TYPE_CRYPTO_WITHDRAWAL",
      "payment_destination": "f45b7f18-a10d-4e19-bea2-9aa91cab6b69",
      "payment_asset": "USDG",
      "payment_amount": "100.5",
      "payment_status": "PAYMENT_STATUS_COMPLETED",
      "created_at": "2025-03-19T14:00:45.589886Z",
      "processed_at": "2025-03-19T19:21:57.172302Z"
    },
    {
      "id": "b05683f7-28ac-43fa-8ed8-b332cf28051e",
      "customer_id": "cdcbff8e-cf51-4536-ba6f-92ef6846e48a",
      "profile_id": "00000000-0000-0000-0000-000000000000",
      "account_id": "00000000-0000-0000-0000-000000000000",
      "ref_id": "cdcbff8e-cf51-4536-ba6f-92ef6846e48a-USDG_REWARDS-cdcbff8e-cf51-4536-ba6f-92ef6846e48a-2025-03-USDG-100.5-seq#1",
      "product": "USDG_REWARDS",
      "payment_type": "PAYMENT_TYPE_CRYPTO_WITHDRAWAL",
      "payment_destination": "f45b7f18-a10d-4e19-bea2-9aa91cab6b69",
      "payment_asset": "USDG",
      "payment_amount": "100.5",
      "payment_status": "PAYMENT_STATUS_COMPLETED",
      "created_at": "2025-03-18T19:26:54.298637Z",
      "processed_at": "2025-03-20T14:26:06.649645Z"
    }
  ],
  "next_page_cursor": "CgwI-Pr1vgYQyLLpswESJDM2NGU2MTgyLTRhZjctNDg4NC1iY2MxLTM0MThmNTA0MWYzYg"
}
The Rewards Engine API replaces this endpoint.New customers should use List Payout Groups instead.
OAuth Scope
statements:read_payment

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Query Parameters

ref_ids
string[]

No other parameters are allowed if ref_ids are provided

payment_ids
string[]

No other parameters are allowed if payment_ids are provided

customer_id
string

Use together with product to list for a specific customer and product

product
enum<string>

Use together with product to list for a specific customer and product

Available options:
USDG_REWARDS
payment_status
enum<string>

Optional, filter by payment status

Available options:
PAYMENT_STATUS_PENDING,
PAYMENT_STATUS_COMPLETED,
PAYMENT_STATUS_FAILED
limit
integer<int32>

Number of results to return. Defaults to 100 if no limit is provided.

order
enum<string>

Sort order for the results by created at, defaults to DESC if not provided.

Available options:
DESC,
ASC
page_cursor
string

Cursor for getting the next page of results.

Response

200 - application/json

Successfully retrieve payments

payments
object[]
next_page_cursor
string